org.apache.ignite.configuration

## Class EncryptionConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.EncryptionConfiguration

All Implemented Interfaces:
  Serializable

    public class EncryptionConfiguration
    extends Object
    implements Serializable

Encryption configuration.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `DFLT_REENCRYPTION_BATCH_SIZE` Default number of pages that is scanned during reencryption under checkpoint lock.
`static double` `DFLT_REENCRYPTION_RATE_MBPS` Default re-encryption rate limit.

### Constructor Summary

Constructors
Constructor and Description
`EncryptionConfiguration()` Creates valid encryption configuration with all default values.
`EncryptionConfiguration(EncryptionConfiguration cfg)` Constructs the copy of the configuration.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getReencryptionBatchSize()` Gets the number of pages that is scanned during re-encryption under checkpoint lock.
`double` `getReencryptionRateLimit()` Gets re-encryption rate limit.
`EncryptionConfiguration` `setReencryptionBatchSize(int reencryptionBatchSize)` Sets the number of pages that is scanned during re-encryption under checkpoint lock.
`EncryptionConfiguration` `setReencryptionRateLimit(double reencryptionRateLimit)` Sets re-encryption rate limit.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DFLT_REENCRYPTION_RATE_MBPS

    public static final double DFLT_REENCRYPTION_RATE_MBPS

Default re-encryption rate limit. The value is `0`, which means that scan speed is not limited.

See Also:
  Constant Field Values

#### DFLT_REENCRYPTION_BATCH_SIZE

    public static final int DFLT_REENCRYPTION_BATCH_SIZE

Default number of pages that is scanned during reencryption under checkpoint lock. The value is `100`.

See Also:
  Constant Field Values

### Constructor Detail

#### EncryptionConfiguration

    public EncryptionConfiguration()

Creates valid encryption configuration with all default values.

#### EncryptionConfiguration

    public EncryptionConfiguration(EncryptionConfiguration cfg)

Constructs the copy of the configuration.

Parameters:
  `cfg` - Configuration to copy.

### Method Detail

#### getReencryptionRateLimit

    public double getReencryptionRateLimit()

Gets re-encryption rate limit.

Returns:
  Re-encryption rate limit in megabytes per second.

#### setReencryptionRateLimit

    public EncryptionConfiguration setReencryptionRateLimit(double reencryptionRateLimit)

Sets re-encryption rate limit.

Parameters:
  `reencryptionRateLimit` - Re-encryption rate limit in megabytes per second.
Returns:
  `this` for chaining.

#### getReencryptionBatchSize

    public int getReencryptionBatchSize()

Gets the number of pages that is scanned during re-encryption under checkpoint lock.

Returns:
  The number of pages that is scanned during re-encryption under checkpoint lock.

#### setReencryptionBatchSize

    public EncryptionConfiguration setReencryptionBatchSize(int reencryptionBatchSize)

Sets the number of pages that is scanned during re-encryption under checkpoint lock.

Parameters:
  `reencryptionBatchSize` - The number of pages that is scanned during re-encryption under checkpoint lock.
Returns:
  `this` for chaining.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022